Everytime I try to update a plugin and WP

Everytime I try to update the plugins -- with auto update --- I get the following error --

If I try to upgrade WP 3.5.2 I get the same error --the upgrade directory is set to 755 -- I also tried settting it to 775 and the same thing happens -- any ideaas??

downloading from .....
unpacking the update --

could not create directory --../wp-content/upgrade/wordpress-3.tmp ---

Installation failed

on the plugins it has a different tmp file but the same error

  • PC
    • WPMU DEV Initiate

    Hello there,

    Greetings and thanks for posting on the forums.

    Can you please temporarily chmod the /wp-content directory to 777 with ftp client or host's file manager, do the upgrade, then chmod back to 755 ?

    Please advise if that works.

    PS : Please ensure that you take a backup of the entire site before you try the upgrade.

    Cheers
    PC
    Sales &Support

  • mindset
    • The Crimson Coder

    hey -- I found the problem --- out of space on the server allocation --

    so I need to reload all the themes and plugins --

    cause I did a stupid thing -- I did a 777 recursive on wp_content -- not thinking about plugins and themes --

    so I am going to delete them --- increase space -- and then re-install themes and plugins --

    thanks - sorry for my mistake ----

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.